<template>
<div>
		<form id="employee_account_form" >
			<div class="columns ">
					<div class="column col-6">
						<div class="form-group">
							<label for="account_name">Account Name</label><br/>
							<input v-model="account_name" id="account_name" name="employee[account_name]" type="text" class="new_form_input" v-bind:class="{ active1: account_name_error}" v-on:keydown= "clear_account_name_error">
							<div class="error" v-bind:class="{ display: account_name_error}"> Cant be blank</div>
						</div>
					</div>
				<div class="column col-6">
					<div class="form-group">
						<label for="account_number">Account Number</label><br/>
						<input v-model="account_number" id="account_number" name="employee[account_number]" type="text" class="new_form_input"  v-bind:class="{ active1: account_number_error}" v-on:keydown= "clear_account_number_error" ></div>
						<div class="error" v-bind:class="{ display: account_number_error}"> Cant be blank</div>
					</div>
				</div>
			<div class="columns new_cl">
				<div class="column col-6">
					<div class="form-group">
						<label for="sort_code">Sort Code</label><br/>
						<input v-model="sort_code" id="sort_code" name="employee[sort_code]" type="text" class="new_form_input" v-bind:class="{ active1: sort_code_error}" v-on:keydown= "clear_sort_code_error"></div>
						<div class="error" v-bind:class="{ display: sort_code_error}"> Cant be blank</div>
				</div>
				<div class="column col-6">
					<div class="form-group">
						<label for="bank_name">Bank Name</label><br/>
						<input v-model="bank_name" id="bank_name" name="employee[bank_name]" type="text" class="new_form_input" v-bind:class="{ active1: bank_name_error}" v-on:keydown= "clear_bank_name_error"></div>
						<div class="error" v-bind:class="{ display: bank_name_error}"> Cant be blank</div>
					</div>
				</div>
				<div class="columns new_cl">
					<div class="column col-12">
						<div class="form-group">
							<label for="branch_address">Branch Address</label><br/>
							<input v-model="branch_address" id="branch_address" name="employee[branch_address]" type="text" class="new_form_input" v-bind:class="{ active1: branch_address_error}" v-on:keydown= "clear_branch_address_error" >
							<div class="error" v-bind:class="{ display: branch_address_error}"> Cant be blank</div>
						</div>
					</div>
				</div>
				<div class="columns new_cl">
					<div class="column col-6">
						<div class="form-group">
							<label for="bank_country">Country</label><br/>
							<input v-model="bank_country" id="bank_country" name="employee[bank_country]" type="text" class="new_form_input" v-bind:class="{ active1: bank_country_error}" v-on:keydown= "clear_bank_country_error" >
							<div class="error" v-bind:class="{ display: bank_country_error}"> Cant be blank</div>
						</div>
					</div>
				</div>
				 <div class="button_div3 columns column col12">
            <div class="column col6 adjust_margin_left cancel_group" v-on:click="cancel" alt="Cancel icon"><img src="images/icons/show_page_cancel.svg"  class=""/><span class="icon_label">CANCEL</span></div>
            <div class="column col6  adjust_margin_right right_align edit_group" @click="editAccount"><img src="images/icons/show_page_edit.svg" alt="Edit icon" class=""/><span class="icon_label">UPDATE</span></div>
        </div>
		</form>

	</div>
</template>
<script>
import axios from "axios";
export default {
 name: 'editAccount',
 props: ["row_data"],
 data:function(){
    return{
			account_number_error: false,
			account_name_error: false,
			bank_name_error: false,
			bank_country_error: false,
			sort_code_error: false,
			branch_address_error: false,
			account_number: this.row_data.account_number,
			account_name: this.row_data.account_name,
			bank_name: this.row_data.bank_name,
			bank_country: this.row_data.bank_country,
			sort_code: this.row_data.sort_code,
			branch_address: this.row_data.branch_address,
			employeeId: this.row_data.id

		}
	},
 methods:{
	editAccount:function(e){
			e.preventDefault();
	    var form = document.getElementById('employee_account_form');
			var data = new FormData(form);
			var account_number=data.get('employee[account_number]');
			var account_name=data.get('employee[account_name]');
			var bank_name=data.get('employee[bank_name]');
			var bank_country=data.get('employee[bank_country]');
			var branch_address=data.get('employee[branch_address]');
			var sort_code=data.get('employee[sort_code]');

      /* Form Validation Rules*/
      if(!account_name){  this.account_name_error=true; }  
			if(!account_number){  this.account_number_error=true; }  
			if(!bank_name){ this.bank_name_error=true; } 
			if(!bank_country){  this.bank_country_error=true; }  
			if(!sort_code){  this.sort_code_error=true; }   
			if(!branch_address){  this.branch_address_error=true; }   
			var url = '/api/employees/'+this.employeeId
      let csrf = document.querySelector("meta[name='csrf-token']").getAttribute("content");
			const axios = require('axios');
			if(account_name && account_number && bank_name && bank_country && sort_code && branch_address ){
				axios.put( url, data, { headers: {'Content-Type': 'application/json', 'x-csrf-token': csrf}})
				.then((response)=>{
				this.employee = response.data.employee;
				this.employee.name= response.data.employee.first_name + ' ' +response.data.employee.surname;
				this.$store.commit('update_employee', this.employee)
				this.$emit("submit")
				;})
			}
    
		
	},
	cancel:function(){
		this.$emit("cancel")
			
	},
		clear_account_number_error:  function(event){this.account_number_error=false;},
		clear_account_name_error:  function(event){this.account_name_error=false;},
		clear_bank_name_error:  function(event){this.bank_name_error=false;},
		clear_bank_country_error:  function(event){this.bank_country_error=false;},
		clear_branch_address_error:  function(event){this.branch_address_error=false;},
		clear_sort_code_error:  function(event){this.sort_code_error=false;},
		
 },
 mounted(){
	 console.log(this.employeeId)
 }  
}
</script>
<style scoped>

</style>

